APIs / Redfin / Search

Redfin: Search

Search from Redfin as JSON. 1 credit per successful call.

GET /v1/redfin/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
region_idintegerRequiredAny
region_typeintegerRequired1, 2, 4, 5, 6
marketstringRequiredUp to 30 characters
min_priceintegerOptionalAny
max_priceintegerOptionalAny
num_bedsintegerOptionalAny
num_bathsnumberOptionalAny
property_typesstringOptionalAny
statusintegerOptional1, 9, 130, 131
sold_within_daysintegerOptionalAny
num_homesintegerOptionalAny
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/redfin/search?region_id=16163&region_type=6&market=seattle&sold_within_days=30" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.